## pwrkap 7.30

=== Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include Rules.mk
SUBDIRS=data bin pwrkap docs man
ALL_SUBDIRS=$(addsuffix _all,$(SUBDIRS))
CLEAN_SUBDIRS=$(addsuffix _clean,$(SUBDIRS))
INSTALL_SUBDIRS=$(addsuffix _install,$(SUBDIRS))

.PHONY: $(SUBDIRS) $(ALL_SUBDIRS) $(CLEAN_SUBDIRS) $(INSTALL_SUBDIRS)

all: $(ALL_SUBDIRS)

$(ALL_SUBDIRS):
	$(MAKE) all -C $(subst _all,,$@)

clean: $(CLEAN_SUBDIRS)

$(CLEAN_SUBDIRS):
	$(MAKE) clean -C $(subst _clean,,$@)

install: $(INSTALL_SUBDIRS)

$(INSTALL_SUBDIRS):
	$(MAKE) install -C $(subst _install,,$@)

dist:
	@if test "`git describe`" != "$(PWRKAP_VERSION)" ; then \
		echo 'Update PWRKAP_VERSION in the Rules.mk file before running "make dist".' ; \
		exit 1 ; \
	fi
	git archive --format=tar --prefix=pwrkap-$(PWRKAP_VERSION)/ HEAD^{tree} | gzip -9 > pwrkap-$(PWRKAP_VERSION).tar.gz

=== bin/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
BUILD_FILES=pwrkap_aggregate pwrkap_cli pwrkap_gtk pwrkap_main

all: $(BUILD_FILES)

clean:;
	rm -rf $(BUILD_FILES)

pwrkap_aggregate: pwrkap.sh.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' -e 's/%PROGRAM%/$@/g' < $^ > $@
	chmod a+x $@

pwrkap_cli: pwrkap.sh.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' -e 's/%PROGRAM%/$@/g' < $^ > $@
	chmod a+x $@

pwrkap_gtk: pwrkap.sh.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' -e 's/%PROGRAM%/$@/g' < $^ > $@
	chmod a+x $@

pwrkap_main: pwrkap.sh.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' -e 's/%PROGRAM%/$@/g' < $^ > $@
	chmod a+x $@

install: all
	mkdir -p $(INST_PREFIX)$(PREFIX)/bin
	$(INSTALL) $(BUILD_FILES) -o root -g root -t $(INST_PREFIX)$(PREFIX)/bin

=== data/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
BUILD_FILES=pwrkap.desktop
OTHER_FILES=pwrkap_aggregate.conf ui.glade pwrkap.svg
INSTALL_FILES=$(BUILD_FILES) $(OTHER_FILES)

pwrkap.desktop: pwrkap.desktop.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' < $^ > $@

all: $(INSTALL_FILES)

clean:

install: $(INSTALL_FILES)
	mkdir -p $(INST_PREFIX)$(PREFIX)/share/pwrkap $(INST_PREFIX)$(PREFIX)/share/applications
	$(INSTALL) $(OTHER_FILES) -o root -g root -m 644 -t $(INST_PREFIX)$(PREFIX)/share/pwrkap
	$(INSTALL) pwrkap.desktop -o root -g root -m 644 -t $(INST_PREFIX)$(PREFIX)/share/applications

=== docs/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
BUILD_FILES=README DESIGN

all: $(BUILD_FILES)

clean:;
	rm -rf *.pyc *.pyo pwrkap*.bin $(BUILD_FILES)

DESIGN: DESIGN.template
	sed -e 's/%VERSION%/$(PWRKAP_VERSION)/g' -e 's/%DATE%/$(PWRKAP_DATE)/g' < $^ > $@

README: README.template
	sed -e 's/%VERSION%/$(PWRKAP_VERSION)/g' -e 's/%DATE%/$(PWRKAP_DATE)/g' < $^ > $@

install: all
	mkdir -p $(INST_PREFIX)$(PREFIX)/share/pwrkap
	$(INSTALL) COPYING DESIGN README -o root -g root -m 644 -t $(INST_PREFIX)$(PREFIX)/share/pwrkap

=== man/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
DAEMON_MANPAGES=pwrkap_main.8.gz pwrkap_aggregate.8.gz
TOOL_MANPAGES=pwrkap_gtk.1.gz pwrkap_cli.1.gz
CONFIGFILE_MANPAGES=pwrkap_aggregate.5.gz
BUILD_FILES=$(DAEMON_MANPAGES) $(TOOL_MANPAGES) $(CONFIGFILE_MANPAGES)

all: $(BUILD_FILES)

clean:;
	rm -rf $(BUILD_FILES)

%.8.gz: %.8
	gzip -9 < $^ > $@

%.1.gz: %.1
	gzip -9 < $^ > $@

%.5.gz: %.5
	gzip -9 < $^ > $@

install: $(BUILD_FILES)
	mkdir -p $(INST_PREFIX)$(PREFIX)/share/man/man1 $(INST_PREFIX)$(PREFIX)/share/man/man8 $(INST_PREFIX)$(PREFIX)/share/man/man5
	$(INSTALL) $(CONFIGFILE_MANPAGES) -o root -g root -t $(INST_PREFIX)$(PREFIX)/share/man/man5
	$(INSTALL) $(DAEMON_MANPAGES) -o root -g root -t $(INST_PREFIX)$(PREFIX)/share/man/man8
	$(INSTALL) $(TOOL_MANPAGES) -o root -g root -t $(INST_PREFIX)$(PREFIX)/share/man/man1

=== pwrkap/Makefile ===
# Main build script
# (C) Copyright IBM Corp. 2008-2009
# Licensed under the GPLv2.

include ../Rules.mk
BUILD_FILES=ui_controller.py

all: $(BUILD_FILES)

clean:;
	rm -rf $(BUILD_FILES)

ui_controller.py: ui_controller.py.template
	sed -e 's|%PREFIX%|$(PREFIX)|g' < $^ > $@

install: all
	mkdir -p $(INST_PREFIX)$(PREFIX)/lib/pwrkap
	$(INSTALL) *.py -o root -g root -m 644 -t $(INST_PREFIX)$(PREFIX)/lib/pwrkap

=== debian/changelog ===
pwrkap (7.30-5) unstable; urgency=low

  [ Arnaud Quette ]
  * debian/control: actually remove python-matplotlib Depends from pwrkap

 -- Arnaud Quette <aquette@debian.org>  Tue, 06 Jul 2010 21:31:13 +0200

pwrkap (7.30-4) unstable; urgency=low

  [ Arnaud Quette ]
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules: remove data/pwrkap.desktop upon clean (upstream bug)
  * debian/control:
    - update Standards-Version to 3.8.4
    - move python-matplotlib Depends from pwrkap to pwrkap-gui (from Ubuntu)

 -- Arnaud Quette <aquette@debian.org>  Thu, 24 Jun 2010 20:01:07 +0200

pwrkap (7.30-3) unstable; urgency=low

  * debian/pwrkap.init: actually apply the start-stop-daemon PID use.
  * debian/control: update Standards-Version

 -- Arnaud Quette <aquette@debian.org>  Wed, 25 Nov 2009 15:22:25 +0100

pwrkap (7.30-2) unstable; urgency=low

  * debian/pwrkap.init (patches from Raphael Geissert):
    - fix incorrect dependencies on init script (Closes: #541625)
    - use start-stop-daemon's -p feature to handle PID (Closes: #541624)
  * debian/control: add ${misc:Depends} back to Depends (from Ubuntu)
  * debian/copyright: fix Copyright letter case and precise GPL v2 for the
    Debian packages Copyright (from Ubuntu)

 -- Arnaud Quette <aquette@debian.org>  Wed, 25 Nov 2009 14:44:45 +0100

pwrkap (7.30-1) unstable; urgency=low

  * Initial release (Closes: #514733)

 -- Arnaud Quette <aquette@debian.org>  Tue, 10 Feb 2009 10:23:01 +0100

=== debian/control ===
Source: pwrkap
Section: admin
Priority: optional
Maintainer: Arnaud Quette <aquette@debian.org>
Build-Depends: debhelper (>= 6)
Standards-Version: 3.8.4
Homepage: http://pwrkap.sourceforge.net/
Vcs-Browser: http://kernel.org/pub/scm/linux/kernel/git/djwong/pwrkap/
Vcs-Git: git://git.kernel.org/pub/scm/linux/kernel/git/djwong/pwrkap

Package: pwrkap
Section: admin
Architecture: all
Depends: ${misc:Depends}, python (>= 2.4)
Replaces: powercap
Description: Energy use monitor and Power Cap enforcement tools - Core
 pwrkap is a set of utilities that monitor computer energy consumption
 and enforces an upper limit on the amount of power consumed by the
 computer at any given time.
 .
 This package contains the core system, and the Command Line Interface (CLI)
 tools.

Package: pwrkap-gui
Section: admin
Architecture: all
Depends: ${misc:Depends}, python (>= 2.4), pwrkap (= ${binary:Version}), python-gtk2, python-matplotlib
Description: Energy use monitor and Power Cap enforcement tools - GTK+ GUI
 pwrkap is a set of utilities that monitor computer energy consumption
 and enforces an upper limit on the amount of power consumed by the
 computer at any given time.
 .
 This package contains the GTK+ Graphical User Interface (GUI).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# fix an upstream bug
	rm -f data/pwrkap.desktop
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=/usr INST_PREFIX=$(CURDIR)/debian/tmp install
	rm -f $(CURDIR)/debian/tmp/usr/share/pwrkap/DESIGN \
		$(CURDIR)/debian/tmp/usr/share/pwrkap/README \
		$(CURDIR)/debian/tmp/usr/share/pwrkap/COPYING

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installexamples
	dh_install
	dh_installdebconf
	dh_installcron
	dh_installinit
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
